[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DockOrientation

How the control is currently docked. (horizontally, vertically, in a notebook, or not at all).

## Declaration

Source position: controls.pp line 1821

`public property TControl.DockOrientation : TDockOrientation read FDockOrientation write FDockOrientation;`

## Description

The property value is assigned when the control is inserted into a docking tree during a drag and dock operation. Its value is used when CalculateDockSizes is called to adjust the height or width for the host dock site.

## See also

TControl.CalculateDockSizes |  | Saves the docked and undocked extent of the control.
TLazDockTree.InsertControl |  | InsertControl - undocks AControl and docks it into the tree.